#ifndef _ALSACTL_H
#define _ALSACTL_H

#define UTIL_PATH_SIZE	1024
#define STATE_FILE	"/var/lib/alsa/controlC"

char *command;
extern char *statefile;

extern int force_restore;
extern int ignore_nocards;

#define init(c, r) 0
#define cerror(cond, args...) do {\
        if (cond) { \
                fprintf(stderr, "%s: %s:%d: ", command, __FUNCTION__, __LINE__); \
                fprintf(stderr, ##args); \
                putc('\n', stderr); \
        } \
} while (0)

void initfailed(int cardnumber, const char *reason, int exitcode);
void set_mixer_default(char *cardname);

static inline int hextodigit(int c)
{
	if (c >= '0' && c <= '9')
		c -= '0';
	else if (c >= 'a' && c <= 'f')
		c = c - 'a' + 10;
	else if (c >= 'A' && c <= 'F')
		c = c - 'A' + 10;
	else
		return -1;
	return c;
}

#endif
